 

/**
 * Created by dan on 6/14/17.
 */
public class StringUtilities {
    /**
     * @return `Hello World` as a string
     */
    public static String getHelloWorld() {
        String hello = "Hello World";
        return hello;
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of two strings, `firstSegment`, and `secondSegment`
     */
    public static String concatenation(String firstSegment, String secondSegment){
        String total = firstSegment + secondSegment;
        return total;
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of an integer, `firstSegment`, and a String, `secondSegment`
     */
    public static String concatenation(int firstSegment, String secondSegment){
        String total = firstSegment + secondSegment;
        return total;
    }

    /**
     * @param input a string to be manipulated
     * @return the first 3 characters of `input`
     */
    public static String getPrefix(String input){
        String result = input.substring(0, 3);
        return result;
    }

    /**
     * @param input a string to be manipulated
     * @return the last 3 characters of `input`
     */
    public static String getSuffix(String input){
        String result = input.substring((input.length() - 3), (input.length()));
        return result;
    }

    /**
     * @param inputValue the value to be compared
     * @param comparableValue the value to be compared against
     * @return the equivalence of two strings, `inputValue` and `comparableValue`
     */
    public static Boolean compareTwoStrings(String inputValue, String comparableValue){
        int result = inputValue.compareTo(comparableValue);
        if (result == 0) {
        return true;
    } else {
        return false;}
    }

    /**
     * @param inputValue the value input from user
     * @return the middle character of `inputValue`
     */
    public static Character getMiddleCharacter(String inputValue){
        if ((inputValue.length() % 2) == 1) {
        char middle = inputValue.charAt((inputValue.length() / 2));
        return middle;
    } else {
        char middle = inputValue.charAt(((inputValue.length() / 2) - 1));
        return middle;
    }
    }

    /**
     * @param spaceDelimitedString a string, representative of a sentence, containing spaces
     * @return the first sequence of characters
     */
    public static String getFirstWord(String spaceDelimitedString){
        int i = spaceDelimitedString.indexOf(' ');
        String word = spaceDelimitedString.substring(0, i);
        return word;
    }

    /**
     * @param spaceDelimitedString a string delimited by spaces
     * @return the second word of a string delimited by spaces.
     */
    public static String getSecondWord(String spaceDelimitedString){
        int i = spaceDelimitedString.indexOf(' ');
        String newString = spaceDelimitedString.replace(spaceDelimitedString.substring(0, (i)), "");
        int j = newString.indexOf(' ');
        String word2 = newString.substring(1, newString.length());
        return word2;
    }

    /**
     * @param stringToReverse
     * @return an identical string with characters in reverse order.
     */
    public static String reverse(String stringToReverse){
        String reverse = "";
        for (int i = stringToReverse.length() - 1; i >=0; i--) {
            reverse = reverse + stringToReverse.charAt(i);
        }
        return reverse;
    }
}
